org.apache.maven.plugin

## Class DefaultPluginMappingManager

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.plugin.DefaultPluginMappingManager

All Implemented Interfaces:
  PluginMappingManager

    public class DefaultPluginMappingManager
    extends AbstractLogEnabled
    implements PluginMappingManager

Manage plugin prefix to artifact ID mapping associations.

Version:
  $Id: DefaultPluginMappingManager.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter

### Field Summary

Fields
`protected RepositoryMetadataManager` `repositoryMetadataManager`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPluginMappingManager()`

### Method Summary

Methods
`org.apache.maven.model.Plugin` `getByPrefix(java.lang.String pluginPrefix, java.util.List groupIds, java.util.List pluginRepositories, ArtifactRepository localRepository)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### repositoryMetadataManager

    protected RepositoryMetadataManager repositoryMetadataManager

### Constructor Detail

#### DefaultPluginMappingManager

    public DefaultPluginMappingManager()

### Method Detail

#### getByPrefix

    public org.apache.maven.model.Plugin getByPrefix(java.lang.String pluginPrefix,
                                            java.util.List groupIds,
                                            java.util.List pluginRepositories,
                                            ArtifactRepository localRepository)

Specified by:
  `getByPrefix` in interface `PluginMappingManager`